## knetstats-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( knetstats )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation"         ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
add_subdirectory( icons )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations ) 


##### write configure files

configure_file( config.h.cmake config.h @ONLY )


##### other data

install(
    FILES ${PROJECT_NAME}.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

=== src/CMakeLists.txt ===
add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### knetstats (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        configurebase.ui
        configure.cpp
        statisticsbase.ui
        main.cpp
        knetstats.cpp
        knetstatsview.cpp
        statistics.cpp
        chart.cpp
        interface.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeui-shared
     
  DESTINATION ${BIN_INSTALL_DIR}
)

## knetstats-trinity 3.5.13.2

=== debian/changelog ===
knetstats-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 19:46:36 +0200

knetstats-trinity (1.6.1-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 04 Nov 2009 11:09:00 -0600

knetstats (1.6.1-0ubuntu2) intrepid; urgency=low

  * Remove kicker dependency

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 06 Sep 2008 01:37:17 +0200

knetstats (1.6.1-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * debian/patches/kubuntu_02_clean_desktop_file.patch:
    - Update to apply again.
    - Comply with current fd.o standard.
  * debian/patches/kubuntu_03_autoconf.patch: Drop. Now included upstream.
  * debian/watch: Add.

 -- William Grant <william.grant@ubuntu.org.au>  Sat, 10 Nov 2007 12:55:46 +1100

knetstats (1.6-0ubuntu1) edgy; urgency=low

  * Initial Release.
  * Added kubuntu_01_kdepot.patch for pot files extraction
    to Rosetta
  * Added kubuntu_02_clean_desktop_file.patch for good GenericNames
    in desktop file
  * Added kubuntu_03_autoconf for autoconf/autoheader 2.6

 -- Anthony Mercatante <tonio@ubuntu.com>  Sun, 27 Sep 2006 14:14:54 +0200

=== debian/control ===
Source: knetstats-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 5.0), quilt, cdbs, kdelibs4-trinity-dev, docbook2x, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://knetstats.sourceforge.net/

Package: knetstats-trinity
Architecture: any
Depends: ${shlibs:Depends}
Description: network interfaces monitor for the Trinity systray
 A simple KDE network monitor that show rx/tx LEDs of any
 network interface on a system tray icon

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_INSTALL_MANPAGES_knetstats-trinity = knetstats.1

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

build/knetstats-trinity::
	docbook2x-man debian/knetstats.1.docbook

binary-install/knetstats-trinity::
	mv debian/knetstats-trinity/usr/share/man debian/knetstats-trinity/opt/trinity/share/

clean::
	rm -f knetstats.1

=== debian/watch ===
version=3

http://sf.net/knetstats/knetstats-(.*)\.tar\.bz2

## knetstats-trinity 14.0.4

=== debian/changelog ===
knetstats-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:27:07 +0200

=== debian/control ===
Source: knetstats-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, docbook2x, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://knetstats.sourceforge.net/

Package: knetstats-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: knetstats-kde3 (<< 4:14.0.0~), knetstats-trinity (<< 4:14.0.0~)
Breaks: knetstats-kde3 (<< 4:14.0.0~), knetstats-trinity (<< 4:14.0.0~)
Description: network interfaces monitor for the Trinity systray
 A simple TDE network monitor that show rx/tx LEDs of any
 network interface on a system tray icon

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-#include /usr/share/cdbs/1/rules/simple-patchsys.mk
+#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include debian/cdbs/kde.mk
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -19,10 +19,15 @@
 post-patches:: debian/stamp-bootstrap
 
 debian/stamp-bootstrap:
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
+ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
 	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
+endif
+ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
 	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
+	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
+endif
 	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
 	
 	make -f admin/Makefile.common cvs

## knetstats-trinity 14.0.5

=== debian/changelog ===
knetstats-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:45:36 +0200

## knetstats-trinity 14.0.6

=== debian/changelog ===
knetstats-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:44:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, docbook2x, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://knetstats.sourceforge.net/

## knetstats-trinity 14.0.8

=== debian/changelog ===
knetstats-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:25 +0200

## knetstats-trinity 14.0.9

=== debian/changelog ===
knetstats-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:08:30 +0200

## knetstats-trinity 14.0.10

=== debian/changelog ===
knetstats-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: knetstats-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
Standards-Version: 3.8.4
Homepage: http://knetstats.sourceforge.net/

Package: knetstats-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: knetstats-trinity (<< 4:14.0.0~)
Breaks: knetstats-trinity (<< 4:14.0.0~)
Description: network interfaces monitor for the Trinity systray
 A simple TDE network monitor that show rx/tx LEDs of any
 network interface on a system tray icon

## knetstats-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( knetstats )
-set( VERSION R14.0.6 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -70,18 +70,14 @@
 
 add_subdirectory( src )
 add_subdirectory( icons )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations ) 
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files
 
 configure_file( config.h.cmake config.h @ONLY )
-
-
-##### other data
-
-install(
-    FILES ${PROJECT_NAME}.desktop
-    DESTINATION ${XDG_APPS_INSTALL_DIR}
-)

=== debian/changelog ===
knetstats-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 21:47:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://knetstats.sourceforge.net/

## knetstats-trinity 14.0.12

=== debian/changelog ===
knetstats-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:46 +0100

## knetstats-trinity 14.0.13

=== debian/changelog ===
knetstats-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 22 Jun 2022 11:08:15 +0200

## knetstats-trinity 14.1.0

=== debian/changelog ===
knetstats-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## knetstats-trinity 14.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,12 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( knetstats )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -29,8 +28,12 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths

=== debian/changelog ===
knetstats-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 06:08:23 +0200

## knetstats-trinity 14.1.2

=== debian/changelog ===
knetstats-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:49 +0200

## knetstats-trinity 14.1.3

=== debian/changelog ===
knetstats-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:31:09 +0200

## knetstats-trinity 14.1.4

=== debian/changelog ===
knetstats-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## knetstats-trinity 14.1.5~pre0

=== debian/changelog ===
knetstats-trinity (4:14.1.5~pre0-0ubuntu18.04.0+3) bionic; urgency=low

  * Automated git build for 8723d0688d25151eb9aeb83a6578521b67fc164e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: knetstats-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4
Homepage: http://knetstats.sourceforge.net/

Package: knetstats-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: knetstats-kde3 (<< 4:14.0.0~), knetstats-trinity (<< 4:14.0.0~)
Breaks: knetstats-kde3 (<< 4:14.0.0~), knetstats-trinity (<< 4:14.0.0~)
Description: network interfaces monitor for the Trinity systray
 A simple TDE network monitor that show rx/tx LEDs of any
 network interface on a system tray icon

## knetstats-trinity 14.1.5

=== debian/changelog ===
knetstats-trinity (4:14.1.5-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: knetstats-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: knetstats-kde3 (<< 4:14.0.0~), knetstats-trinity (<< 4:14.0.0~)
-Breaks: knetstats-kde3 (<< 4:14.0.0~), knetstats-trinity (<< 4:14.0.0~)
+Replaces: knetstats-trinity (<< 4:14.0.0~)
+Breaks: knetstats-trinity (<< 4:14.0.0~)
 Description: network interfaces monitor for the Trinity systray
  A simple TDE network monitor that show rx/tx LEDs of any
  network interface on a system tray icon

## knetstats-trinity 14.1.6~pre0

=== debian/changelog ===
knetstats-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 8723d0688d25151eb9aeb83a6578521b67fc164e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## knetstats-trinity 14.1.6~pre1

=== debian/changelog ===
knetstats-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 0f5de8d7cb6f6feee2c4839ab7638f8b227a6e52
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:04:39 +0100

## knetstats-trinity 14.2.0~pre21

=== debian/changelog ===
knetstats-trinity (4:14.2.0~pre21-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for a76adbca84ed3253999aaf820681be414d5c46c6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## knetstats-trinity 14.2.0~pre22

=== debian/changelog ===
knetstats-trinity (4:14.2.0~pre22-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for df61f94ea8aa411f6716c1bbcb522013bfb1dff2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knetstats

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:06:38 +0100
